import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { TAppUserModel } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-03-25 14:24
 */
interface TAppUserModelCU extends ConditionUtil<TAppUserModelCU> {
    ID: FieldUtil<TAppUserModelCU>;
    APPCODE: FieldUtil<TAppUserModelCU>;
    APPNAME: FieldUtil<TAppUserModelCU>;
    APPKEY: FieldUtil<TAppUserModelCU>;
    APPLOTIDS: FieldUtil<TAppUserModelCU>;
    ISFILT: FieldUtil<TAppUserModelCU>;
    STATE: FieldUtil<TAppUserModelCU>;
}
declare class TAppUserModelMU extends TableUtilImpl<TAppUserModelCU, TAppUserModel> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): TAppUserModelCU;
    static get ID(): FieldUtil<TAppUserModelCU>;
    static get APPCODE(): FieldUtil<TAppUserModelCU>;
    static get APPNAME(): FieldUtil<TAppUserModelCU>;
    static get APPKEY(): FieldUtil<TAppUserModelCU>;
    static get APPLOTIDS(): FieldUtil<TAppUserModelCU>;
    static get ISFILT(): FieldUtil<TAppUserModelCU>;
    static get STATE(): FieldUtil<TAppUserModelCU>;
    get ID(): FieldUtil<TAppUserModelCU>;
    get APPCODE(): FieldUtil<TAppUserModelCU>;
    get APPNAME(): FieldUtil<TAppUserModelCU>;
    get APPKEY(): FieldUtil<TAppUserModelCU>;
    get APPLOTIDS(): FieldUtil<TAppUserModelCU>;
    get ISFILT(): FieldUtil<TAppUserModelCU>;
    get STATE(): FieldUtil<TAppUserModelCU>;
}
export { TAppUserModelMU, TAppUserModelCU };
